/**
* @author Dirk Nordmann
* @date   14.01.2002
*/
package util;

import java.awt.*;

public class ImageLoader
{

  private Image _image;
  private int _width;
  private int _height;


  /**
  * Constructor
  * @param  path
  */
  public ImageLoader(String path)
  {
    //* Get image from path *
  	_image = Toolkit.getDefaultToolkit().createImage(path);
    //* Get dimensions *
  	getDimensions();
  }

  private void getDimensions()	
  {
    //* Width & Height : wait until Java has loaded the image :-/ *
    do
    {
    	_width = _image.getWidth(null);
    	_height = _image.getHeight(null);
    }
    while (_width < 0 || _height < 0);
  }

  public Image getImage()
  {
    return _image;
  }

  public int getHeight()
  {
    return _height;
  }

  public int getWidth()
  {
    return _width;
  }

}
